# $Revision: 1.14.2.1 $, $Date: 2006/04/21 14:15:58 $
Summary:	Line editor
Summary(pl):	Edytor liniowy
Name:		ledit
Version:	1.11
Release:	1
License:	GPL
Group:		Base
Source0:	http://caml.inria.fr/distrib/bazar-ocaml/%{name}.tar.gz
# Source0-md5:	a2d38ba641682509c1e964ad699a9dd2
Patch0:		%{name}-ocaml3.09.patch
URL:		http://www.inria.fr/~ddr/
BuildRequires:	ncurses-devel
BuildRequires:	ocaml
BuildRequires:	ocaml-camlp4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%description
Program ledit allows to edit lines one by one when running an
interactive command. When typing a line, some keys with control or
meta are interpreted: it is possible to insert characters in the
middle of the line, go to the beginning or the end of the line, get a
previous line, search for a line with a pattern, etc.

%description -l pl
Program ledit pozwala modyfikowa linie tekstu wprowadzane w innym
interaktywnym programie. Pozwala na wprowadzanie znakw w rodku
linii, przejcie na jej pocztek lub koniec, wyszukiwanie linii
speniajcej jaki wzr, wybranie poprzedniej linii, itd.

%prep
%setup -q
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install ledit.out $RPM_BUILD_ROOT%{_bindir}/ledit
install ledit.l $RPM_BUILD_ROOT%{_mandir}/man1/ledit.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ledit.spec,v $
Revision 1.14.2.1  2006/04/21 14:15:58  baggins
- updated to 1.11

Revision 1.14  2004/10/29 22:50:23  qboosh
- pl fix, files format unification

Revision 1.13  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.12  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.11  2003/05/25 21:26:25  agaran
Source0-md5

Revision 1.10  2003/05/25 05:49:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.8  2002/11/01 13:36:21  malekith
- camlp4 is now ocaml-camlp4

Revision 1.7  2002/05/12 23:57:14  ankry
- added warn_seq.patch to fix camlp4 (ocaml-camlp4-3.04-7) options usage

Revision 1.6  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/03 10:32:38  qboosh
- fixed Groups, cosmetics

Revision 1.2  2001/10/29 20:52:43  filon
- changed previous log

Revision 1.1  2001/10/29 20:39:59  filon
- first release, spec written by me
- works, STB

adds line-edit capability for line-oriented programs such as
mosml, smlnj, mysql, etc...
